[PATCH] remove build dir before other cleaning

It makes sense to remove the build dir before we execute the find command, so
we don't duplicate the work.

diff -urN a/Makefile head/Makefile
--- a/Makefile	2006-03-14 17:03:53.000000000 +1030
+++ head/Makefile	2006-03-14 17:00:27.000000000 +1030
@@ -803,7 +803,7 @@
 
 # Main clean function...
 clean:
+	@rm -rf build
 	@rm -f $(shell find . \( \
 		-name '*~' -o -name '#*#' -o -name '*.o' -o -name '*.res' \
 	\) -print)
-	@rm -rf build
